CREATE TABLE cso_pipeline_item_logs (
    RECORD_ID                VARCHAR2(128) ,
    PIPELINE_ID              VARCHAR2(128)     NOT NULL,
    ITEM_ID                  VARCHAR2(1200)    NOT NULL,
    ITEM_TYPE                VARCHAR2(1200)    NOT NULL,
    ACTION                   VARCHAR2(400)     NOT NULL,
    PRIORITY                 NUMBER(2, 0)      NOT NULL,
    STATUS                   VARCHAR2(4000)    NOT NULL,
    PROCESSING_START_DATE    TIMESTAMP(6)      NOT NULL,
    PROCESSING_END_DATE      TIMESTAMP(6)  ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RECORD_ID                VARCHAR2(128) ,
    PIPELINE_ID              VARCHAR2(128)     NOT NULL,
    ITEM_ID                  VARCHAR2(1200)    NOT NULL,
    ITEM_TYPE                VARCHAR2(1200)    NOT NULL,
    ACTION                   VARCHAR2(400)     NOT NULL,
    PRIORITY                 NUMBER(2, 0)      NOT NULL,
    STATUS                   VARCHAR2(4000)    NOT NULL,
    PROCESSING_START_DATE    TIMESTAMP(6)      NOT NULL,
    PROCESSING_END_DATE      TIMESTAMP(6)  ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_cso_pipeline_item_logs PRIMARY KEY (RECORD_ID, RECORD_ID)
);
